package com.xdf.creative.base.params;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 园区入会申请 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WebParkEnterQueryParam对象", description = "园区入会申请查询参数")
public class WebParkEnterApplyEmailParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "联系人")
    @NotBlank(message = "联系人不能为空！")
    private String linkMan;

    @ApiModelProperty(value = "职位")
    @NotBlank(message = "职位不能为空！")
    private String duty;

    @ApiModelProperty(value = "联系电话")
    @NotBlank(message = "联系电话不能为空！")
    private String mobile;

    @ApiModelProperty(value = "单位名称")
    @NotBlank(message = "单位名称不能为空！")
    private String companyName;

    @ApiModelProperty(value = "园区主键id")
    @NotNull(message = "园区未选择！")
    private Long parkId;

    @ApiModelProperty(value = "园区名称")
    @NotBlank(message = "园区名称不能为空！")
    private String parkName;


    @ApiModelProperty(value = "申请来源1PC 2移动")
    private Integer source;


}
