
package com.xdf.creative.base.params.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 添加角色
 *
 * @author DeanYe
 * @date 2019-10-25
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "添加角色", description = "添加系统角色参数对象")
public class AddSysRoleParam {

    @ApiModelProperty(value = "角色名称")
    @NotBlank(message = "角色名称不能为空")
    private String name;

    @ApiModelProperty(value = "角色唯一编码")
    private String code;

    @ApiModelProperty(value = "角色类型")
    private Integer type;

    @ApiModelProperty(value = "角色状态，0：禁用，1：启用")
    private Integer state;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "权限id列表")
    @NotEmpty(message = "权限集合不能为空")
    @Size(max = 1000, message = "权限集合超过上限")
    private List<String> permissionIds;

}
