package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import com.xdf.creative.module.entity.InfoAttachment;
import com.xdf.creative.module.entity.InfoDetail;
import com.xdf.creative.module.entity.InfoUrl;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 信息内容 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoContentQueryParam对象", description = "信息内容查询参数")
public class InfoContentAuditQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @NotNull(message = "ID不能为空")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "审核状态 1 、审核 2、审核不通过 3、审核退回")
    private Integer auditState;

    @ApiModelProperty(value = "内容状态 0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回 6 初审不通过 7终审不通过 ")
    private Integer state;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "退回意见")
    private String backIdea;
}
