package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 信息内容 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoContentQueryParam对象", description = "信息内容查询参数")
public class InfoContentBackSearchQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "栏目类型id")
    private Long infoTypeId;

    @ApiModelProperty(value = "内容状态 0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回 6 初审不通过 7终审不通过")
    private Integer state;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "是否置顶 0否 1是")
    private Integer istop;

    @ApiModelProperty(value = "上下状态 0 下线 1上线")
    private Integer onlineType;
    //用户拥有的栏目
    private Long userId;

    /**
     * 用户创建信息
     */
    private Long createUserId;
}
