package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 信息详情 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoDetailQueryParam对象", description = "信息详情查询参数")
public class InfoDetailQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "主键id不能为空")
    private Long id;

    @ApiModelProperty(value = "摘要")
    private String digest;

    @ApiModelProperty(value = "正文")
    private String content;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "作者")
    private String hyperlink;


}
