package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * <p>
 * 信息关键字 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-11-27
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoKeywordQueryParam对象", description = "信息关键字查询参数")
public class InfoKeywordAddParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "关键词")
    @NotBlank(message = "关键词不能为空！")
    private String keyword;

    @ApiModelProperty(value = "是否通用 0 否 1是")
    private Integer isUse;

    @ApiModelProperty(value = "描述")
    private String detail;

    @ApiModelProperty(value = "状态 0 不可用 1可用")
    private Integer state;

    @ApiModelProperty(value = "创建用户")
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
