package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 文件库 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-31
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoStoreQueryParam对象", description = "文件库查询参数")
public class InfoStoreAddParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "图片名称")
    @NotBlank(message = "图片名称不能为空！")
    private String name;

    @ApiModelProperty(value = "图片地址")
    @NotBlank(message = "图片地址不能为空！")
    private String address;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "上传人id")
    private Long createUserId;

    @ApiModelProperty(value = "资源类型 1、图片 2、文件")
    @NotNull(message = "资源类型不能为空！")
    private Integer type;

    @ApiModelProperty(value = "文件类型")
    @NotBlank(message = "文件类型不能为空！")
    private String fileType;

    @ApiModelProperty(value = "状态 0、不可用 1、可用")
    private Integer state;


}
