package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 相关链接 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoUrlQueryParam对象", description = "相关链接查询参数")
public class InfoUrlQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "主键id不能为空")
    private Long id;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "链接名称")
    private String name;

    @ApiModelProperty(value = "链接url")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
