package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 词管理 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-06
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoWordManageQueryParam对象", description = "词管理查询参数")
public class InfoWordManageQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "敏感词")
    private String word;

    @ApiModelProperty(value = "替换内容")
    private String replaceContent;

    @ApiModelProperty(value = "维护人")
    private Long accendantUser;

    @ApiModelProperty(value = "开始维护时间")
    private Date startAccendantTime;

    @ApiModelProperty(value = "结束维护时间")
    private Date endAccendantTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "昵称")
    private String nickName;


}
