package com.xdf.creative.base.params.creative;
/**
 * @author : lgw
 * @date : 10:48 2022/9/19
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @ClassName InnovationApplyQueryParam
 * @Description TODO
 * @Author Kxg
 * @Date 2022/9/19 10:48
 * @Version 1.0
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "InnovationApplyQueryParam对象", description = "创新创业大赛查询参数")
public class InnovationApplyQueryParam extends QueryParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private Integer id;

    @ApiModelProperty(value = "国家城市")
    private String countryCity;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "项目名称")
    private String projectInfoName;

    @ApiModelProperty(value = "项目概述")
    private String projectInfoSummary;

    @ApiModelProperty(value = "项目产品和服务特点")
    private String projectInfoCharacteristic;

    @ApiModelProperty(value = "项目投资价值")
    private String projectInfoInvestment;

    @ApiModelProperty(value = "文件资料")
    private String fileAttachment;

    @ApiModelProperty(value = "补充资料")
    private String supplementAttachment;

    @ApiModelProperty(value = "项目联系人姓名")
    private String projectContactName;

    @ApiModelProperty(value = "项目联系人公司")
    private String projectContactCompany;

    @ApiModelProperty(value = "项目联系人地址")
    private String projectContactAddress;

    @ApiModelProperty(value = "项目联系人职位")
    private String projectContactPosition;

    @ApiModelProperty(value = "项目联系人手机")
    private String projectContactPhone;

    @ApiModelProperty(value = "项目联系人邮箱")
    private String projectContactEmail;

    @ApiModelProperty(value = "项目联系人微信")
    private String projectContactWechat;

    @ApiModelProperty(value = "公司信息中文全称")
    private String companyInfoName;

    @ApiModelProperty(value = "公司信息成立时间")
    private Date companyInfoCreatime;

    @ApiModelProperty(value = "公司信息注册地址")
    private String companyInfoAddress;

    @ApiModelProperty(value = "公司信息股东结构(Excel文件)")
    private String companyInfoShareholder;

    @ApiModelProperty(value = "申报人姓名")
    private String declareName;

    @ApiModelProperty(value = "申报人一寸免冠头像")
    private String declareImage;

    @ApiModelProperty(value = "申报人身份信息")
    private String declareCard;

    @ApiModelProperty(value = "申报人出生日期")
    private Date declareBirth;

    @ApiModelProperty(value = "申报人所在城市")
    private String declareCity;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
