package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 组织信息 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOrganizeQueryParam对象", description = "组织信息查询参数")
public class SysOrganizeAddParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织名称")
    @NotNull(message = "机构名称不能为空！")
    private String organizeName;

    @ApiModelProperty(value = "管辖区域")
    @NotNull(message = "行政区域不能为空！")
    private Long popedomId;

    @ApiModelProperty(value = "类型: 0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理")
    @NotNull(message = "组织类型不能为空！")
    private Integer organizeType;

    @ApiModelProperty(value = "是否为系统组织: 0 否 1是")
    private Integer systemCreate;

    @ApiModelProperty(value = "系统状态 0停用 1启用")
    private Integer state;

    @ApiModelProperty(value = "修该时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "父id")
    private Long parentId;


}
