package com.xdf.creative.base.params.creative;

import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 组织信息 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOrganizeQueryParam对象", description = "组织信息查询参数")
public class SysOrganizeBackParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "组织名称")
    private String organizeName;

    @ApiModelProperty(value = "系统状态 0停用 1启用")
    private Integer state;

    @ApiModelProperty(value = "开始创建时间")
    private Date startCreateTime;

    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;


    @ApiModelProperty(value = "行政区代码")
    private String regionId;

    @ApiModelProperty(value = "行政区域名称")
    private String regionName;

    @ApiModelProperty(value = "是否为系统组织: 0 否 1是")
    private Integer systemCreate;


}

