package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 全国行政区域[sys_region] 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-06
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysRegionQueryParam对象", description = "全国行政区域[sys_region]查询参数")
public class SysRegionQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "行政区代码")
    private String regionId;

    @ApiModelProperty(value = "行政区域名称")
    private String regionName;

    @ApiModelProperty(value = "上级行政区域")
    private String parRegionId;

    @ApiModelProperty(value = "值：0、草稿    1、提交")
    private Integer state;

    private String descript;


}
