
package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.TableField;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.Set;

/**
 * <pre>
 * 系统用户 查询参数对象
 * </pre>
 *
 * @author DeanYe
 * @date 2019-10-24
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysUserQueryParam对象", description = "系统用户查询参数")
public class SysUserQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "状态，0：禁用，1：启用，2：锁定")
    private Integer state;

    @ApiModelProperty(value = "性别，0：女，1：男，默认1")
    private Integer gender;

    @ApiModelProperty(value = "头像")
    private String head;

    @ApiModelProperty(value = "类型: 0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理 ")
    private Integer userType;

    @ApiModelProperty(value = "remark")
    private String remark;

    @ApiModelProperty(value = "开始创建时间")
    private Date startCreateTime;

    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;


}
