package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 系统用户角色表 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-10-30
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysUserRoleQueryParam对象", description = "系统用户角色表查询参数")
public class SysUserRoleQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "角色ID")
    private Long roleId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
