package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 文促会入会申请表 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-10-30
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WebInitiationApplyQueryParam对象", description = "文促会入会申请表查询参数")
public class WebInitiationApplyQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
//@NotNull(message = "主键id不能为空")
    private Long id;

    @ApiModelProperty(value = "单位名称")
    private String name;


    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;


    @ApiModelProperty(value = "单位logo")
    private String logo;

    @ApiModelProperty(value = "机关类型  1、国营企业 2、事业单位  3、民营企业 4、社会组织")
    private Integer unitType;

    @ApiModelProperty(value = "注册地址省")
    private Long province;

    @ApiModelProperty(value = "注册地址市")
    private Long city;

    @ApiModelProperty(value = "注册地址区")
    private Long county;

    @ApiModelProperty(value = "主要办公地址")
    private String contactAddress;

    @ApiModelProperty(value = "邮编")
    private String post;

    @ApiModelProperty(value = "公司网址")
    private String website;

    @ApiModelProperty(value = "法人姓名")
    private String legalPerson;

    @ApiModelProperty(value = "法人职务")
    private String legalDuty;

    @ApiModelProperty(value = "固定电话")
    private String legalPhone;

    @ApiModelProperty(value = "手机号")
    private String legalMobile;

    @ApiModelProperty(value = "日常联系人姓名")
    private String linkMan;

    @ApiModelProperty(value = "日常联系人职务")
    private String linkDuty;

    @ApiModelProperty(value = "日常联系人固定电话")
    private String linkPhone;

    @ApiModelProperty(value = "日常联系人手机号")
    private String linkMobile;

    @ApiModelProperty(value = "单位简介")
    private String introduction;

    @ApiModelProperty(value = "申报产业类别：1、媒体业 2、艺术业 3、工业设计 4、建筑设计业 5、时尚设计业  6、互联网相关服务业 7、软件与信息技术服务业8、咨询服务业9、广告及会展服务业  10、休闲娱乐业 11、文化装备制造业12、文化创意投资运营13、文化创意用品生产")
    private Integer declareCategory;

    @ApiModelProperty(value = "希望成为哪一级会员  1、普通会员 2、理事会员  3、常务理事会员")
    private Integer vipLevel;

    @ApiModelProperty(value = "附件证明")
    private String attachment;

    @ApiModelProperty(value = "会员是否阅读协议 0 否 1是")
    private Integer existsRead;

    @ApiModelProperty(value = "初审是否通过  1待审核 2审核通过 3审核不通过4、是否报送 ")
    private Integer firstAudit;

    @ApiModelProperty(value = "初审原因")
    private String firstAuditCause;

    @ApiModelProperty(value = "初审开始时间")
    private Date startFirstAuditTime;

    @ApiModelProperty(value = "初审结束时间")
    private Date endFirstAuditTime;


    @ApiModelProperty(value = "初审人员id")
    private Long firstAuditUserId;

    @ApiModelProperty(value = "初审是否通过  1、待审核 2信用良好  3、信用不良 4、是否报送 ")
    private Integer creditAudit;

    @ApiModelProperty(value = "信用审核原因")
    private String creditAuditCause;

    @ApiModelProperty(value = "信用审核开始时间")
    private Date startCreditAuditTime;

    @ApiModelProperty(value = "信用审核结束时间")
    private Date endCreditAuditTime;


    @ApiModelProperty(value = "信用审核人员id")
    private Long creditAuditUserId;

    @ApiModelProperty(value = "审核是否通过  1待审核 2审核通过 3审核不通过 4、是否报送")
    private Integer finalAudit;

    @ApiModelProperty(value = "理事会审核原因")
    private String finalAuditCause;

    @ApiModelProperty(value = "理事会审核开始时间")
    private Date startFinalAuditTime;

    @ApiModelProperty(value = "理事会审核结束时间")
    private Date endFinalAuditTime;


    @ApiModelProperty(value = "理事会审核人员id")
    private Long finalAuditUserId;

    @ApiModelProperty(value = "创建开始时间")
    private Date startCreateTime;
    @ApiModelProperty(value = "创建结束时间")
    private Date endCreateTime;


    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "法人简介")
    private String legalIntroduction;

    @ApiModelProperty(value = "专列与荣誉")
    private String honner;

    @ApiModelProperty(value = "金融服务 1、股权 2、债权 3、担保 4、融资租赁 5、其他")
    private Integer financeService;

    @ApiModelProperty(value = "产业合作 1、对接上下游企业资源 2、展会参展 3、园区入驻")
    private Integer industry;

    @ApiModelProperty(value = "企业服务 1、扶持资金 2、信用评级 3、知识与版权交易 4、财务与法律资讯 5、投融资对接")
    private Integer companyService;

    @ApiModelProperty(value = "其他")
    private String otherService;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "用户昵称")
    private String nickname;


}
