package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信息内容 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoContentQueryVo对象", description = "信息内容查询参数")
public class InfoContentBackSearchQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "创建用户")
    private Long createUser;

    @ApiModelProperty(value = "用户名Id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "创建时间")
    private Date updateTime;

    @ApiModelProperty(value = "栏目类型id")
    private Long infoTypeId;

    @ApiModelProperty(value = "栏目名称")
    private String infoName;

    @ApiModelProperty(value = "内容状态 0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回")
    private Integer state;

    @ApiModelProperty(value = "初审时间")
    private Date firstAuditTime;

    @ApiModelProperty(value = "终审时间")
    private Date finalAuditTime;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否置顶 0否 1是")
    private Integer istop;

    @ApiModelProperty(value = "上下状态 0 下线 1上线")
    private Integer onlineType;

    /**
     * 退回内容
     */
    private String  reason;

    /**
     * 退回时间
     */
    private String  backTime;

}