package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信息内容 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoContentQueryVo对象", description = "信息内容查询参数")
public class InfoContentHomePageQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "栏目id")
    private String typeId;

    @ApiModelProperty(value = "栏目名称")
    private String infoName;

    @ApiModelProperty(value = "来源地址")
    private String sourceUrl;

    @ApiModelProperty(value = "图片地址")
    private String imageUrl;

    @ApiModelProperty(value = "终审时间")
    private Date finalAuditTime;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否置顶 0否 1是")
    private Integer istop;

    @ApiModelProperty(value = "置顶时间")
    private Date istopTime;


    @ApiModelProperty(value = "新闻内容类型")
    private Integer contentType;


    @ApiModelProperty(value = "超链接")
    private String hyperlink;

}