package com.xdf.creative.base.vo.creative;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 栏目类型 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-06
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoTypeQueryVo对象", description = "栏目类型查询参数")
public class InfoTypeQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "栏目id")
    private String typeId;

    @ApiModelProperty(value = "栏目父id")
    private String typeParentId;

    @ApiModelProperty(value = "栏目名称")
    private String infoName;

    @ApiModelProperty(value = "模型")
    private String modelName;

    @ApiModelProperty(value = "排列顺序")
    private Integer sort;

    @ApiModelProperty(value = "是否显示 0 不显示 1显示")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建用户")
    private Long createUserId;

    /**
     * 用于构造树
     */
    @TableField(exist = false)
    protected List<InfoTypeQueryVo> children = new ArrayList<InfoTypeQueryVo>();

    @TableField(exist = false)
    protected Boolean leaf;

    @TableField(exist = false)
    protected Boolean checked;

}