package com.xdf.creative.base.vo.creative;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织信息 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-05
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysOrganizeQueryVo对象", description = "组织信息查询参数")
public class SysOrganizeQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "组织名称")
    private String organizeName;

    @ApiModelProperty(value = "管辖区域")
    private Long popedomId;

    @ApiModelProperty(value = "类型: 0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理 ")
    private Integer organizeType;

    @ApiModelProperty(value = "是否为系统组织: 0 否 1是")
    private Integer systemCreate;

    @ApiModelProperty(value = "系统状态 0停用 1启用")
    private Integer state;

    @ApiModelProperty(value = "修该时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "父id")
    private Long parentId;


    @ApiModelProperty(value = "创建者id")
    private Long createUserId;


}