package com.xdf.creative.base.vo.creative;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 组织信息 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-05
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysOrganizeQueryVo对象", description = "组织信息查询参数")
public class SysOrganizeTreeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "组织名称")
    private String organizeName;

    private  String organizeId;

    @ApiModelProperty(value = "管辖区域")
    private Long popedomId;

    @ApiModelProperty(value = "类型: 0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理 ")
    private Integer organizeType;


    @ApiModelProperty(value = "修该时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "父id")
    private String parOrganizeId;

    /**
     * 用于构造树
     */
    @TableField(exist = false)
    protected List<SysOrganizeTreeVo> children = new ArrayList<SysOrganizeTreeVo>();

    @TableField(exist = false)
    protected Boolean leaf;


}