package com.xdf.creative.base.vo.creative;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 全国行政区域[sys_region] 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-06
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysRegionQueryVo对象", description = "全国行政区域[sys_region]查询参数")
public class SysRegionTreeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "行政区代码")
    private String regionId;

    @ApiModelProperty(value = "行政区域名称")
    private String regionName;

    @ApiModelProperty(value = "上级行政区域")
    private String parRegionId;

    @ApiModelProperty(value = "值：0、草稿    1、提交")
    private Integer state;

    private String descript;

    /**
     * 用于构造树
     */
    @TableField(exist = false)
    protected List<SysRegionTreeVo> children = new ArrayList<SysRegionTreeVo>();

    @TableField(exist = false)
    protected Boolean leaf;


}