package com.xdf.creative.base.vo.tyrz;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 普通用户入驻（账号变更） 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-06-05
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "BusAccountEnterQueryVo对象", description = "普通用户入驻（账号变更）查询参数")
public class SysUserCurrentIdentityVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织类型: 0 普通用户  1、企业  2、金融机构 3、投资机构 4、服务机构 5、园区 6、协（商会）  7、项目管理公司 8 区文创办 9 市文创办  99 公司后台管理")
    private Integer enterType;

    @ApiModelProperty(value = "机构名称")
    private String organizeName;

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;

    @ApiModelProperty(value = "运营企业名称")
    private String optOrganizeName;


    @ApiModelProperty(value = "联系人")
    private String linkMan;

    @ApiModelProperty(value = "办公电话")
    private String linkMobile;

    @ApiModelProperty(value = "职务")
    private String duty;

    @ApiModelProperty(value = "简介")
    private String introduce;

    @ApiModelProperty(value = "所属协会")
    private String associationName;

    @ApiModelProperty(value = "所属园区")
    private String parkName;

    @ApiModelProperty(value = "所属省")
    private String province;

    @ApiModelProperty(value = "所属市")
    private String city;

    @ApiModelProperty(value = "所属区")
    private String district;

}