
package com.xdf.creative.enums;

/**
 * <p>
 * REST API 响应码
 * </p>
 *
 * @author DeanYe
 * @since 2018-11-08
 */
public enum ApiCode {

    SUCCESS(200, "操作成功"),

    TOKEN_IS_EMPTY(4400, "TOKEN不能为空"),

    UNAUTHORIZED(4401, "非法访问"),

    NOT_PERMISSION(4403, "没有权限"),

    NOT_FOUND(4404, "你请求的资源不存在"),

    USERNAME_ERROR(4405, "用户名、密码不正确"),

    PASSWORD_ERROR(4406, "密码不正确"),

    USER_DISABLE(4407, "用户不可用"),

    USER_EXIST(4411, "用户不不存在"),

    VERIFICATION_CODE_ERROR(4408, "验证码不正确"),

    TOKEN_INVALID(4409, "无效令牌"),

    REFRESH_TOKEN_ERROR(4410, "刷新令牌异常"),

    REFRESH_TOKEN_SUCCESS(4411, "刷新令牌正常"),

    FAIL(5500, "操作失败"),

    LOGIN_EXCEPTION(4000, "登陆失败"),

    SYSTEM_EXCEPTION(5000, "系统异常!"),

    PARAMETER_EXCEPTION(5001, "请求参数校验异常"),

    PARAMETER_PARSE_EXCEPTION(5002, "请求参数解析异常"),

    HTTP_MEDIA_TYPE_EXCEPTION(5003, "HTTP Media 类型异常"),

    SERVICE_EXCEPTION(5004, "RPC下游服务异常"),

    TYRZ_SERVICE_EXCEPTION(20002, "统一认证登录失效"),

    TYRZ_SERVICE_USER_EXCEPTION(101001, "当前用户名已存在！"),


    ;

    private final int code;
    private final String msg;

    ApiCode(final int code, final String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ApiCode getApiCode(int code) {
        ApiCode[] ecs = ApiCode.values();
        for (ApiCode ec : ecs) {
            if (ec.getCode() == code) {
                return ec;
            }
        }
        return SUCCESS;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
