package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InfoOnlineStateEnum {
    /**
     * 上线类型 1、上线 2、下线
     */
    PUBLIC_INFO_STATE_DRAFT(0, "草稿"),
    PUBLIC_INFO_STATE_ONLINE(1, "上线"),
    PUBLIC_INFO_STATE_OFFLINE(2, "下线"),
    ;
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (InfoOnlineStateEnum sysSignState : InfoOnlineStateEnum.values()) {
            if (sysSignState.code == code) {
                return sysSignState.name;
            }
        }
        return null;
    }
}
