package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileUploadTypeEnum {
    //web服务
    SERVICE_FILE_UPLOAD_TYPE_FILE(1, "file"),
    //auth服务
    SERVICE_FILE_UPLOAD_TYPE_PNG(2, "png"),
    ;
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileUploadTypeEnum boundTypeEnum : ServiceFileUploadTypeEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
