package com.xdf.creative.module.controller;

import com.xdf.creative.base.params.VerifyCode;
import com.xdf.creative.constant.CommonConstant;
import com.xdf.creative.module.service.IVerifyCodeGen;
import com.xdf.creative.module.service.impl.SimpleCharVerifyCodeGenImpl;
import com.xdf.creative.util.PasswordUtil;
import com.xdf.creative.util.page.ApiResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Base64;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @author : lgw
 * @date : 11:00 2020/4/11
 */

@Slf4j
@RestController
@RequestMapping("/auth")
@Api("验证吗 API")
public class CodeController {
    @Autowired
    private RedisTemplate redisTemplate;

    private Logger logger = LoggerFactory.getLogger(CodeController.class);

    /*@ApiOperation(value = "验证码")
    @RequestMapping("/code")
    public ApiResult verifyCode(HttpServletRequest request, HttpServletResponse response) {
        IVerifyCodeGen iVerifyCodeGen = new SimpleCharVerifyCodeGenImpl();
            //设置长宽
        VerifyCode verifyCode = null;
        try {
            verifyCode = iVerifyCodeGen.generate(100, 50);
        } catch (IOException e) {
            e.printStackTrace();
        }
        String code = verifyCode.getCode();
            logger.info(code);
            //将VerifyCode绑定session
           // request.getSession().setAttribute(com.google.code.kaptcha.Constants.KAPTCHA_SESSION_KEY, code);
            //设置响应头
            response.setHeader("Pragma", "no-cache");
            //设置响应头
            response.setHeader("Cache-Control", "no-cache");
            //在代理服务器端防止缓冲
            response.setDateHeader("Expires", 0);
            //设置响应内容类型
            response.setContentType("image/jpeg");
            // response.getOutputStream().write(verifyCode.getImgBytes());

            String base64 = Base64.getEncoder().encodeToString(verifyCode.getImgBytes());
            Map<String, Object> map = new HashMap<>(2);
            map.put(CommonConstant.IMAGE, CommonConstant.BASE64_PREFIX + base64);
            return ApiResult.ok(map);

    }
*/

    @ApiOperation(value = "验证码")
    @RequestMapping("/code")
    public ApiResult verifyCode(HttpServletRequest request, HttpServletResponse response,String userName, Integer type) {
        IVerifyCodeGen iVerifyCodeGen = new SimpleCharVerifyCodeGenImpl();
        //设置长宽
        VerifyCode verifyCode = null;
        try {
            verifyCode = iVerifyCodeGen.generate(100, 50);
        } catch (IOException e) {
            e.printStackTrace();
        }
        String code = verifyCode.getCode();
        logger.info(code);


        String encrypt = PasswordUtil.encrypt(userName+type, CommonConstant.VERIFY_CODE_KEY);
        //将VerifyCode绑定session
        //request.getSession().setAttribute(Constants.KAPTCHA_SESSION_KEY, code);
        redisTemplate.opsForValue().set(String.format(CommonConstant.VERIFY_CODE_GET, userName, encrypt), code, 300, TimeUnit.SECONDS);

        //将VerifyCode绑定session
        // request.getSession().setAttribute(com.google.code.kaptcha.Constants.KAPTCHA_SESSION_KEY, code);
        //设置响应头
        response.setHeader("Pragma", "no-cache");
        //设置响应头
        response.setHeader("Cache-Control", "no-cache");
        //在代理服务器端防止缓冲
        response.setDateHeader("Expires", 0);
        //设置响应内容类型
        response.setContentType("image/jpeg");
        // response.getOutputStream().write(verifyCode.getImgBytes());

        String base64 = Base64.getEncoder().encodeToString(verifyCode.getImgBytes());
        Map<String, Object> map = new HashMap<>(2);
        map.put(CommonConstant.IMAGE, CommonConstant.BASE64_PREFIX + base64);
        return ApiResult.ok(map);

    }
}