package com.xdf.creative.module.controller;


import com.xdf.creative.base.params.creative.InnovationApplyQueryParam;
import com.xdf.creative.module.entity.InnovationApply;
import com.xdf.creative.module.service.InnovationApplyService;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 文创上海创新创业报名通道表 前端控制器
 * </p>
 *
 * @author KanXianggui
 * @since 2022-09-16
 */
@RestController
@RequestMapping("/innovationApply")
public class InnovationApplyController {

    @Resource
    InnovationApplyService innovationApplyService;

    /**
     * 添加报名通道表
     */
    @PostMapping("/getInfoInnovationApplyPageList")
    @ApiOperation(value = "查询innovationApply对象", notes = "查询报名通道表", response = ApiResult.class)
    public ApiResult<Boolean> getInfoInnovationApplyPageList(@RequestBody InnovationApplyQueryParam innovationApplyQueryParam) {
        PageTool<InnovationApply> innovationApplyPageList = innovationApplyService.getInfoInnovationApplyPageList(innovationApplyQueryParam);
        return ApiResult.ok(innovationApplyPageList);
    }

    /**
     * 添加报名通道表
     */
    @PostMapping("/add")
    @ApiOperation(value = "添加innovationApply对象", notes = "添加报名通道表", response = ApiResult.class)
    public ApiResult<Boolean> addInnovationApply(@RequestBody InnovationApply innovationApply) {
        boolean flag = innovationApplyService.save(innovationApply);
        return ApiResult.result(flag);
    }
}
