package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 栏目类型
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoType对象", description = "栏目类型")
public class InfoType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "栏目id")
    private String typeId;

    @ApiModelProperty(value = "栏目父id")
    @NotBlank(message = "父栏目不能为空！")
    private String typeParentId;

    @ApiModelProperty(value = "栏目名称")
    @NotBlank(message = "栏目名称不能为空！")
    private String infoName;

    @ApiModelProperty(value = "模型")
    private String modelName;

    @ApiModelProperty(value = "排列顺序")
    private Integer sort;

    @ApiModelProperty(value = "是否显示 0 不显示 1显示")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建用户")
    private Long createUserId;

}
