package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 文创上海创新创业报名通道表
 * </p>
 *
 * @author KanXianggui
 * @since 2022-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("web_innovation_apply")
@ApiModel(value = "InnovationApply对象", description = "文创上海创新创业报名通道表")
public class InnovationApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "国家城市")
    private String countryCity;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "项目名称")
    private String projectInfoName;

    @ApiModelProperty(value = "项目概述")
    private String projectInfoSummary;

    @ApiModelProperty(value = "项目产品和服务特点")
    private String projectInfoCharacteristic;

    @ApiModelProperty(value = "项目投资价值")
    private String projectInfoInvestment;

    @ApiModelProperty(value = "商业计划书")
    private String businessPlanAttachment;

    @ApiModelProperty(value = "营业执照")
    private String businessLicenseAttachment;

    @ApiModelProperty(value = "补充资料")
    private String supplementAttachment;

    @ApiModelProperty(value = "项目联系人姓名")
    private String projectContactName;

    @ApiModelProperty(value = "项目联系人公司")
    private String projectContactCompany;

    @ApiModelProperty(value = "项目联系人地址")
    private String projectContactAddress;

    @ApiModelProperty(value = "项目联系人职位")
    private String projectContactPosition;

    @ApiModelProperty(value = "项目联系人手机")
    private String projectContactPhone;

    @ApiModelProperty(value = "项目联系人邮箱")
    private String projectContactEmail;

    @ApiModelProperty(value = "项目联系人微信")
    private String projectContactWechat;

    @ApiModelProperty(value = "公司信息中文全称")
    private String companyInfoName;

    @ApiModelProperty(value = "公司信息成立时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date companyInfoCreatime;

    @ApiModelProperty(value = "公司信息注册地址")
    private String companyInfoAddress;

    @ApiModelProperty(value = "公司信息股东结构(Excel文件)")
    private String companyInfoShareholder;

    @ApiModelProperty(value = "申报人姓名")
    private String declareName;

    @ApiModelProperty(value = "申报人一寸免冠头像")
    private String declareImage;

    @ApiModelProperty(value = "申报人身份信息")
    private String declareCard;

    @ApiModelProperty(value = "申报人出生日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date declareBirth;

    @ApiModelProperty(value = "申报人所在城市")
    private String declareCity;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
