package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 组织信息
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOrganize对象", description = "组织信息")
public class SysOrganize extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织名称")
    private String organizeName;

    @ApiModelProperty(value = "管辖区域")
    private Long popedomId;

    @ApiModelProperty(value = "类型: 0 普通用户   5、园区 8 区文创办 9 市文创办  99 公司后台管理 ")
    private Integer organizeType;

    @ApiModelProperty(value = "是否为系统组织: 0 否 1是")
    private Integer systemCreate;

    @ApiModelProperty(value = "系统状态 0停用 1启用")
    private Integer state;

    @ApiModelProperty(value = "修该时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "父id")
    private Long parentId;


    @ApiModelProperty(value = "创建者id")
    private Long createUserId;

}
