package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoDetailQueryParam;
import com.xdf.creative.base.vo.creative.InfoDetailQueryVo;
import com.xdf.creative.module.entity.InfoDetail;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 信息详情 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Repository
public interface InfoDetailMapper extends BaseMapper<InfoDetail> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoDetailQueryVo getInfoDetailById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoDetailQueryParam
     * @return
     */
    IPage<InfoDetailQueryVo> getInfoDetailPageList(@Param("page") Page page, @Param("param") InfoDetailQueryParam infoDetailQueryParam);

}
