package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoKeywordQueryParam;
import com.xdf.creative.base.vo.creative.InfoKeywordCheckListVo;
import com.xdf.creative.base.vo.creative.InfoKeywordQueryVo;
import com.xdf.creative.module.entity.InfoKeyword;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 信息关键字 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-11-27
 */
@Repository
public interface InfoKeywordMapper extends BaseMapper<InfoKeyword> {


    /**
     * 获取已经选择的关键词
     * @param id 内容id
     * @return
     */
    List<InfoKeywordCheckListVo> getCheckList(Serializable id);


    /**
     * 根据内容id获取关键词列表
     * @param id
     * @return
     */
    List<InfoKeywordCheckListVo> getKeywordListByContentId(Serializable id);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoKeywordQueryVo getInfoKeywordById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoKeywordQueryParam
     * @return
     */
    IPage<InfoKeywordQueryVo> getInfoKeywordPageList(@Param("page") Page page, @Param("param") InfoKeywordQueryParam infoKeywordQueryParam);

}
