package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoRoleTypeQueryParam;
import com.xdf.creative.base.vo.creative.InfoRoleTypeQueryVo;
import com.xdf.creative.module.entity.InfoRoleType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 角色类型 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-02
 */
@Repository
public interface InfoRoleTypeMapper extends BaseMapper<InfoRoleType> {

    /**
     * 获取角色拥有的资源树
     *
     * @param userId 用户id
     * @return
     * @throws Exception
     */
    List<Object> getRoleTypeTreeList(@Param("userId")Long userId) throws Exception;



    /**
     * 获取用户角色授权资源 树
     */
    List<Object> impowerTypeTreeList(@Param("roleId") Long roleId) throws Exception;






    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoRoleTypeQueryVo getInfoRoleTypeById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoRoleTypeQueryParam
     * @return
     */
    IPage<InfoRoleTypeQueryVo> getInfoRoleTypePageList(@Param("page") Page page, @Param("param") InfoRoleTypeQueryParam infoRoleTypeQueryParam);

}
