package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoTypeQueryParam;
import com.xdf.creative.base.vo.creative.InfoTypeQueryVo;
import com.xdf.creative.module.entity.InfoType;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 栏目类型 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Repository
public interface InfoTypeMapper extends BaseMapper<InfoType> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoTypeQueryVo getInfoTypeById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoTypeQueryParam
     * @return
     */
    IPage<InfoTypeQueryVo> getInfoTypePageList(@Param("page") Page page, @Param("param") InfoTypeQueryParam infoTypeQueryParam);

    /**
     * 获取类型资源树
     *
     * @return
     * @throws Exception
     */
    List<Object> getInfoTypeTreeList() throws Exception;

}
