package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysAccountLogQueryParam;
import com.xdf.creative.base.vo.creative.SysAccountLogQueryVo;
import com.xdf.creative.module.entity.SysAccountLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 账户登录日志 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Repository
public interface SysAccountLogMapper extends BaseMapper<SysAccountLog> {




    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysAccountLogQueryVo getSysAccountLogById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysAccountLogQueryParam
     * @return
     */
    IPage<SysAccountLogQueryVo> getSysAccountLogPageList(@Param("page") Page page, @Param("param") SysAccountLogQueryParam sysAccountLogQueryParam);

}
