package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysOperateLogQueryParam;
import com.xdf.creative.base.vo.creative.SysOperateLogQueryVo;
import com.xdf.creative.module.entity.SysOperateLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 账户操作日志 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Repository
public interface SysOperateLogMapper extends BaseMapper<SysOperateLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOperateLogQueryVo getSysOperateLogById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysOperateLogQueryParam
     * @return
     */
    IPage<SysOperateLogQueryVo> getSysOperateLogPageList(@Param("page") Page page, @Param("param") SysOperateLogQueryParam sysOperateLogQueryParam);

}
