
package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysRoleQueryParam;
import com.xdf.creative.base.vo.creative.SysRoleListQueryVo;
import com.xdf.creative.base.vo.creative.SysRoleQueryVo;
import com.xdf.creative.module.entity.SysRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <pre>
 * 系统角色 Mapper 接口
 * </pre>
 *
 * @author DeanYe
 * @since 2019-10-24
 */
@Repository
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 获取角色列表
     * @return
     */
    List<SysRoleListQueryVo>  getRoleList(Integer level);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysRoleQueryVo getSysRoleById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysRoleQueryParam
     * @return
     */
    IPage<SysRoleQueryVo> getSysRolePageList(@Param("page") Page page, @Param("param") SysRoleQueryParam sysRoleQueryParam);


    List<SysRoleQueryVo> getUserRoleByUserId(Long userId);

}
