package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.WebInitiationApplyQueryParam;
import com.xdf.creative.base.vo.creative.WebInitiationApplyExportVo;
import com.xdf.creative.base.vo.creative.WebInitiationApplyQueryVo;
import com.xdf.creative.module.entity.WebInitiationApply;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 文促会入会申请表 Mapper 接口
 * </p>
 *
 * @author DeanYe
 * @since 2019-10-30
 */
@Repository
public interface WebInitiationApplyMapper extends BaseMapper<WebInitiationApply> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WebInitiationApplyQueryVo getWebInitiationApplyById(Serializable id);

    /**
     * 后台管理获取分页对象
     *
     * @param page
     * @param webInitiationApplyQueryParam
     * @return
     */
    IPage<WebInitiationApplyQueryVo> getWebInitiationApplyPageListBack(@Param("page") Page page, @Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);


    /**
     * web首页获取分页对象
     *
     * @param page
     * @param webInitiationApplyQueryParam
     * @return
     */
    IPage<WebInitiationApplyQueryVo> getWebInitiationApplyPageListHome(@Param("page") Page page, @Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);


    /**
     * 获得初始审核分页
     *
     * @param page
     * @param webInitiationApplyQueryParam
     * @return
     */
    IPage<WebInitiationApplyQueryVo> getPageListByFirstAudit(@Param("page") Page page, @Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);

    /**
     * 获得信用审核分页
     *
     * @param page
     * @param webInitiationApplyQueryParam
     * @return
     */
    IPage<WebInitiationApplyQueryVo> getPageListByCreditAudit(@Param("page") Page page, @Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);


    /**
     * 获得最终审核分页
     *
     * @param page
     * @param webInitiationApplyQueryParam
     * @return
     */
    IPage<WebInitiationApplyQueryVo> getPageListByFinalAudit(@Param("page") Page page, @Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);


   List<WebInitiationApplyExportVo> getExportPageList(@Param("param") WebInitiationApplyQueryParam webInitiationApplyQueryParam);

}
