package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.WebParkEnterQueryParam;
import com.xdf.creative.base.vo.dt.WebParkEnterQueryVo;
import com.xdf.creative.module.entity.WebParkEnter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 园区入会申请 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Repository
public interface WebParkEnterMapper extends BaseMapper<WebParkEnter> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WebParkEnterQueryVo getWebParkEnterById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param webParkEnterQueryParam
     * @return
     */
    IPage<WebParkEnterQueryVo> getWebParkEnterPageList(@Param("page") Page page, @Param("param") WebParkEnterQueryParam webParkEnterQueryParam);

}
