package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.WxGroupQueryParam;
import com.xdf.creative.base.vo.creative.WxGroupQueryVo;
import com.xdf.creative.module.entity.WxGroup;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 微信群二维码 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2021-01-28
 */
@Repository
public interface WxGroupMapper extends BaseMapper<WxGroup> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WxGroupQueryVo getWxGroupById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param wxGroupQueryParam
     * @return
     */
    IPage<WxGroupQueryVo> getWxGroupPageList(@Param("page") Page page, @Param("param") WxGroupQueryParam wxGroupQueryParam);

}
