package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoKeywordAddParam;
import com.xdf.creative.base.params.creative.InfoKeywordQueryParam;
import com.xdf.creative.base.params.creative.InfoKeywordSaveCheckParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoKeywordCheckListVo;
import com.xdf.creative.base.vo.creative.InfoKeywordQueryVo;
import com.xdf.creative.module.entity.InfoKeyword;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 信息关键字 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-11-27
 */
public interface InfoKeywordService extends BaseService<InfoKeyword> {
    /**
     * 增加关键词
     * @param infoKeywordAddParam
     * @return
     */
    ApiResult add(InfoKeywordAddParam infoKeywordAddParam);

    /**
     * 编辑关键词
     * @param infoKeywordAddParam
     * @return
     */
    ApiResult edit(InfoKeywordAddParam infoKeywordAddParam);

    /**
     * 启用停用
     * @param id
     * @return
     */
    ApiResult enable(Serializable id);

    /**
     * 删除
     * @param id
     * @return
     */
    ApiResult del(Serializable id);

    /**
     * 获取已购选的list
     * @param contentId
     * @return
     */
    ApiResult getCheckList(Serializable contentId);

    /***
     * 获取保存的list
     * @param infoKeywordSaveCheckParam
     * @return
     */
    ApiResult saveCheckList(InfoKeywordSaveCheckParam infoKeywordSaveCheckParam);


    List<InfoKeywordCheckListVo> getKeywordListByContentId(Serializable contentId);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoKeywordQueryVo getInfoKeywordById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoKeywordQueryParam
     * @return
     */
    PageTool<InfoKeywordQueryVo> getInfoKeywordPageList(InfoKeywordQueryParam infoKeywordQueryParam) throws Exception;

}
