package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoRoleImpowerTypeQueryParam;
import com.xdf.creative.base.params.creative.InfoRoleTypeQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoRoleTypeQueryVo;
import com.xdf.creative.module.entity.InfoRoleType;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 角色类型 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-02
 */
public interface InfoRoleTypeService extends BaseService<InfoRoleType> {


    /**
     * 跟角色授权栏目类型
     * @param infoRoleImpowerTypeQueryParam
     * @return
     * @throws Exception
     */
     ApiResult setTypeToRole(InfoRoleImpowerTypeQueryParam infoRoleImpowerTypeQueryParam) throws Exception;


    /**
     *获取当前用户拥有的tree
     * @return
     * @throws Exception
     */
    List<Object> getRoleTypeTreeList() throws Exception;

    /**
     * 获取角色授权栏目类型树
     * @return
     * @throws Exception
     */
    List<Object> impowerTypeTreeList(Long roleId) throws Exception;


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoRoleTypeQueryVo getInfoRoleTypeById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoRoleTypeQueryParam
     * @return
     */
    PageTool<InfoRoleTypeQueryVo> getInfoRoleTypePageList(InfoRoleTypeQueryParam infoRoleTypeQueryParam) throws Exception;

}
