package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoTypeQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoTypeQueryVo;
import com.xdf.creative.module.entity.InfoType;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 栏目类型 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
public interface InfoTypeService extends BaseService<InfoType> {

    /**
     * 添加栏目类型
     */
    ApiResult addInfoType(InfoType infoType);

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoTypeQueryVo getInfoTypeById(Serializable id) throws Exception;


    /**
     * 获取类型资源树
     *
     * @return
     * @throws Exception
     */
    List<Object> getInfoTypeTreeList() throws Exception;



    /**
     * 获取分页对象
     *
     * @param infoTypeQueryParam
     * @return
     */
    PageTool<InfoTypeQueryVo> getInfoTypePageList(InfoTypeQueryParam infoTypeQueryParam) throws Exception;

}
