package com.xdf.creative.module.service;

import com.xdf.creative.base.params.IdParam;
import com.xdf.creative.base.params.creative.InfoWordManageQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoWordManageQueryVo;
import com.xdf.creative.module.entity.InfoWordManage;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 词管理 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
public interface InfoWordManageService extends BaseService<InfoWordManage> {

    /**
     * 增加敏感词
     * @param infoWordManage
     * @return
     */
    ApiResult addInfoWordManage(InfoWordManage infoWordManage);

    /**
     * 修改敏感词
     * @param infoWordManage
     * @return
     */
    ApiResult updateInfoWordManage(InfoWordManage infoWordManage);

    /**
     * 删除敏感词内容
     * @param idParam
     * @return
     */
    ApiResult deleteInfoWordManage(IdParam idParam);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoWordManageQueryVo getInfoWordManageById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoWordManageQueryParam
     * @return
     */
    PageTool<InfoWordManageQueryVo> getInfoWordManagePageList(InfoWordManageQueryParam infoWordManageQueryParam) throws Exception;

}
