package com.xdf.creative.module.service;

import com.xdf.creative.base.params.IdParam;
import com.xdf.creative.base.params.creative.*;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysOrganizeBackVo;
import com.xdf.creative.base.vo.creative.SysOrganizeQueryVo;
import com.xdf.creative.module.entity.SysOrganize;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 组织信息 服务类
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-05
 */
public interface SysOrganizeService extends BaseService<SysOrganize> {




    /**
     * 增加文创机构
     * @param sysOrganizeAddParam
     * @return
     */
    ApiResult add(SysOrganizeAddParam sysOrganizeAddParam) throws Exception;

    /**
     *编辑文创办信息
     */
    ApiResult editMange(SysOrganizeEditParam sysOrganizeAddParam) throws Exception;



    /**
     * 停用启用用户
     * @param idParam
     * @return
     */
    ApiResult enabledOrganize(IdParam idParam);




    /**
     * 获取组织机构资源树
     *
     * @return
     * @throws Exception
     */
    List<Object> getOrganizeTreeList() throws Exception;



    /**
     * 获取组织树根节点
     * @return
     * @throws Exception
     */
    String getRootOrganizeId() throws Exception;


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOrganizeQueryVo getSysOrganizeById(Serializable id) throws Exception;


    /**
     * 后台获取文创办查询
     *
     * @param sysOrganizeBackParam
     * @return
     */
    PageTool<SysOrganizeBackVo> getManagePageList(SysOrganizeBackParam sysOrganizeBackParam) throws Exception;



    /**
     * 后台获取园区查询
     *
     * @param sysOrganizeBackParam
     * @return
     */
    PageTool<SysOrganizeBackVo> getParkPageList(SysOrganizeBackParam sysOrganizeBackParam) throws Exception;




    /**
     * 获取分页对象
     *
     * @param sysOrganizeQueryParam
     * @return
     */
    PageTool<SysOrganizeQueryVo> getSysOrganizePageList(SysOrganizeQueryParam sysOrganizeQueryParam) throws Exception;

    /**
     * 检查组织是否可用
     *
     * @return
     * @throws Exception
     */
    boolean isEnableSysOrganize(IsEnableSysOrganizeParam isEnableSysOrganizeParam) throws Exception;
}
