package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.SysRegionQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysRegionQueryVo;
import com.xdf.creative.module.entity.SysRegion;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 全国行政区域[sys_region] 服务类
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-06
 */
public interface SysRegionService extends BaseService<SysRegion> {



    /**
     * 获取行政区域资源树
     *
     * @return
     * @throws Exception
     */
    List<Object> getRegionTreeList() throws Exception;



    /**
     * 获取行政区域资源树（根据权限判断）
     *
     * @return
     * @throws Exception
     */
    List<Object> getRoleTreeList() throws Exception;


    /**
     * 获取行政区域树根节点
     * @return
     * @throws Exception
     */
    String getRootRegionId() throws Exception;





    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysRegionQueryVo getSysRegionById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysRegionQueryParam
     * @return
     */
    PageTool<SysRegionQueryVo> getSysRegionPageList(SysRegionQueryParam sysRegionQueryParam) throws Exception;

    /**
     * 不分页查询
     *
     * @param sysRegionQueryParam
     * @return
     */
    List<SysRegionQueryVo> getSysRegionList(SysRegionQueryParam sysRegionQueryParam);

}
