package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.WebInitiationApplyQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.WebInitiationApplyQueryVo;
import com.xdf.creative.module.entity.WebInitiationApply;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import javax.servlet.http.HttpServletRequest;
import java.io.Serializable;

/**
 * <p>
 * 文促会入会申请表 服务类
 * </p>
 *
 * @author DeanYe
 * @since 2019-10-30
 */
public interface WebInitiationApplyService extends BaseService<WebInitiationApply> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WebInitiationApplyQueryVo getWebInitiationApplyById(Serializable id) throws Exception;

    /**
     * 后台管理获取分页对象
     *
     * @param webInitiationApplyQueryParam
     * @return
     */
    PageTool<WebInitiationApplyQueryVo> getWebInitiationApplyPageListBack(WebInitiationApplyQueryParam webInitiationApplyQueryParam) throws Exception;

    /**
     * web首页获取分页对象
     *
     * @param webInitiationApplyQueryParam
     * @return
     */
    PageTool<WebInitiationApplyQueryVo> getWebInitiationApplyPageListHome(WebInitiationApplyQueryParam webInitiationApplyQueryParam) throws Exception;


    /**
     * 获取初始审核分页
     *
     * @param webInitiationApplyQueryParam
     * @return
     * @throws Exception
     */
    PageTool<WebInitiationApplyQueryVo> getPageListByFirstAudit(WebInitiationApplyQueryParam webInitiationApplyQueryParam) throws Exception;


    /**
     * 获取信用审核分页
     *
     * @param webInitiationApplyQueryParam
     * @return
     * @throws Exception
     */
    PageTool<WebInitiationApplyQueryVo> getPageListByCreditAudit(WebInitiationApplyQueryParam webInitiationApplyQueryParam) throws Exception;


    /**
     * 获取信最终审核分页
     *
     * @param webInitiationApplyQueryParam
     * @return
     * @throws Exception
     */
    PageTool<WebInitiationApplyQueryVo> getPageListByFinalAudit(WebInitiationApplyQueryParam webInitiationApplyQueryParam) throws Exception;

    /**
     * 用户提交审核确认
     *
     * @param webInitiationApply
     * @return
     */
    ApiResult<Boolean> sendAudit(WebInitiationApply webInitiationApply);

    /**
     * @description: 导出
     * @param: []
     * @return: com.xdf.creative.util.page.ApiResult
     */
    ApiResult getExportPageList(WebInitiationApplyQueryParam webInitiationApplyQueryParam, HttpServletRequest request);

}
