package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.WebParkEnterApplyParam;
import com.xdf.creative.base.params.dt.WebParkEnterBackParam;
import com.xdf.creative.base.params.dt.WebParkEnterQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.WebParkEnterQueryVo;
import com.xdf.creative.module.entity.WebParkEnter;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 园区入会申请 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
public interface WebParkEnterService extends BaseService<WebParkEnter> {


    /**
     * 园区入驻申请
     * @return
     * @throws Exception
     */
    ApiResult apply(WebParkEnterApplyParam webParkEnterApplyParam)  throws Exception;


    /**
     * 园区入驻申请
     * @return
     * @throws Exception
     */
    ApiResult audit(WebParkEnterBackParam webParkEnterBackParam)  throws Exception;





    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WebParkEnterQueryVo getWebParkEnterById(Serializable id) throws Exception;


    /**
     * 获取分页对象
     *
     * @param webParkEnterQueryParam
     * @return
     */
    PageTool<WebParkEnterQueryVo> getWebParkEnterPageList(WebParkEnterQueryParam webParkEnterQueryParam) throws Exception;

}
