package com.xdf.creative.module.service.impl;

import com.xdf.creative.enums.StatusCode;
import com.xdf.creative.module.entity.FileUploadQuery;
import com.xdf.creative.module.service.FileClientService;
import com.xdf.creative.util.file.UploadUtil;
import com.xdf.creative.util.page.ApiResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;

/**
 * @author : lgw
 * @date : 11:11 2020/3/11
 */
@Slf4j
@Service
public class FileClientServiceImpl implements FileClientService {
    public static ArrayList<String> fileTypeList = new ArrayList<String>(){{add("PDF"); add("DOC");add("DOCX");add("XLS");
        add("XLSX");add("PPT");add("PPTX");add("PNG");add("JPG");add("GIF");}};

    @Override
    public ApiResult uploadUtilFileByDecoder(FileUploadQuery fileUploadQuery,String baseUrl) throws Exception {
        String filePath =  baseUrl+"/"+  fileUploadQuery.getUploadPath();
        if(!fileTypeList.contains( fileUploadQuery.getFileType().toUpperCase())){
            return ApiResult.error(StatusCode.WEB_FILE_UPLOAD_FAILED);
        }
        return UploadUtil.BaseDecoderUpload(fileUploadQuery.getBaseCodeFile(),filePath,fileUploadQuery.getFileName(), fileUploadQuery.getUploadPath()
                ,fileUploadQuery.getFileType());
    }
}
