package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoBackQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoBackQueryVo;
import com.xdf.creative.module.entity.InfoBack;
import com.xdf.creative.module.mapper.InfoBackMapper;
import com.xdf.creative.module.service.InfoBackService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 信息退回 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoBackServiceImpl extends BaseServiceImpl<InfoBackMapper, InfoBack> implements InfoBackService {

    @Autowired
    private InfoBackMapper infoBackMapper;

    @Override
    public InfoBackQueryVo getInfoBackById(Serializable id) throws Exception {
        return infoBackMapper.getInfoBackById(id);
    }

    @Override
    public PageTool<InfoBackQueryVo> getInfoBackPageList(InfoBackQueryParam infoBackQueryParam) throws Exception {
        Page page = setPageParam(infoBackQueryParam);
        IPage<InfoBackQueryVo> iPage = infoBackMapper.getInfoBackPageList(page, infoBackQueryParam);
        return new PageTool(iPage);
    }

}
