package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoDetailQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoDetailQueryVo;
import com.xdf.creative.module.entity.InfoDetail;
import com.xdf.creative.module.mapper.InfoDetailMapper;
import com.xdf.creative.module.service.InfoDetailService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 信息详情 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoDetailServiceImpl extends BaseServiceImpl<InfoDetailMapper, InfoDetail> implements InfoDetailService {

    @Autowired
    private InfoDetailMapper infoDetailMapper;

    @Override
    public InfoDetailQueryVo getInfoDetailById(Serializable id) throws Exception {
        return infoDetailMapper.getInfoDetailById(id);
    }

    @Override
    public PageTool<InfoDetailQueryVo> getInfoDetailPageList(InfoDetailQueryParam infoDetailQueryParam) throws Exception {
        Page page = setPageParam(infoDetailQueryParam);
        IPage<InfoDetailQueryVo> iPage = infoDetailMapper.getInfoDetailPageList(page, infoDetailQueryParam);
        return new PageTool(iPage);
    }

}
