package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoTypeQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoTypeQueryVo;
import com.xdf.creative.enums.StateEnum;
import com.xdf.creative.module.entity.InfoType;
import com.xdf.creative.module.mapper.InfoTypeMapper;
import com.xdf.creative.module.service.InfoTypeService;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;


/**
 * <p>
 * 栏目类型 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoTypeServiceImpl extends BaseServiceImpl<InfoTypeMapper, InfoType> implements InfoTypeService {

    @Autowired
    private InfoTypeMapper infoTypeMapper;

    @Override
    public ApiResult addInfoType(InfoType infoType) {
       // infoType.setCreateUserId(getUserId());
        infoType.setState(StateEnum.ENABLE.getKey());
        infoTypeMapper.insert(infoType);
        return ApiResult.ok();
    }

    @Override
    public InfoTypeQueryVo getInfoTypeById(Serializable id) throws Exception {
        return infoTypeMapper.getInfoTypeById(id);
    }

    @Override
    public List<Object> getInfoTypeTreeList( ) throws Exception {
        return infoTypeMapper.getInfoTypeTreeList();
    }

    @Override
    public PageTool<InfoTypeQueryVo> getInfoTypePageList(InfoTypeQueryParam infoTypeQueryParam) throws Exception {
        Page page = setPageParam(infoTypeQueryParam);
        IPage<InfoTypeQueryVo> iPage = infoTypeMapper.getInfoTypePageList(page, infoTypeQueryParam);
        return new PageTool(iPage);
    }

}
