package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoUrlQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoUrlQueryVo;
import com.xdf.creative.module.entity.InfoUrl;
import com.xdf.creative.module.mapper.InfoUrlMapper;
import com.xdf.creative.module.service.InfoUrlService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 相关链接 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoUrlServiceImpl extends BaseServiceImpl<InfoUrlMapper, InfoUrl> implements InfoUrlService {

    @Autowired
    private InfoUrlMapper infoUrlMapper;

    @Override
    public InfoUrlQueryVo getInfoUrlById(Serializable id) throws Exception {
        return infoUrlMapper.getInfoUrlById(id);
    }

    @Override
    public PageTool<InfoUrlQueryVo> getInfoUrlPageList(InfoUrlQueryParam infoUrlQueryParam) throws Exception {
        Page page = setPageParam(infoUrlQueryParam);
        IPage<InfoUrlQueryVo> iPage = infoUrlMapper.getInfoUrlPageList(page, infoUrlQueryParam);
        return new PageTool(iPage);
    }

}
