package com.xdf.creative.module.service.impl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.OauthTokenQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.OauthTokenQueryVo;
import com.xdf.creative.module.entity.OauthToken;
import com.xdf.creative.module.entity.SysUserRole;
import com.xdf.creative.module.mapper.OauthTokenMapper;
import com.xdf.creative.module.service.OauthTokenService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;


/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-05
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class OauthTokenServiceImpl extends BaseServiceImpl<OauthTokenMapper, OauthToken> implements OauthTokenService {

    @Autowired
    private OauthTokenMapper oauthTokenMapper;

    @Override
    public OauthTokenQueryVo getOauthTokenById(Serializable id) throws Exception {
        return oauthTokenMapper.getOauthTokenById(id);
    }

    @Override
    public PageTool<OauthTokenQueryVo> getOauthTokenPageList(OauthTokenQueryParam oauthTokenQueryParam) throws Exception {
        Page page = setPageParam(oauthTokenQueryParam);
        IPage<OauthTokenQueryVo> iPage = oauthTokenMapper.getOauthTokenPageList(page, oauthTokenQueryParam);
        return new PageTool(iPage);
    }

    @Override
    public boolean removeTokenByUserId(Serializable userId) {
        return oauthTokenMapper.removeTokenByUserId(userId);
    }

    @Override
    public boolean removeTokenByUserList(List<SysUserRole> list) {
        return oauthTokenMapper.removeTokenByUserList(list);
    }

    @Override
    public OauthTokenQueryVo getOauthTokenByToken(String token) {
        return oauthTokenMapper.getOauthTokenByToken(token);
    }

}
