package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysAccountLogQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.SysAccountLogQueryVo;
import com.xdf.creative.module.entity.SysAccountLog;
import com.xdf.creative.module.mapper.SysAccountLogMapper;
import com.xdf.creative.module.service.SysAccountLogService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 账户登录日志 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class SysAccountLogServiceImpl extends BaseServiceImpl<SysAccountLogMapper, SysAccountLog> implements SysAccountLogService {

    @Autowired
    private SysAccountLogMapper sysAccountLogMapper;

    @Override
    public SysAccountLogQueryVo getSysAccountLogById(Serializable id) throws Exception {
        return sysAccountLogMapper.getSysAccountLogById(id);
    }

    @Override
    public PageTool<SysAccountLogQueryVo> getSysAccountLogPageList(SysAccountLogQueryParam sysAccountLogQueryParam) throws Exception {
        Page page = setPageParam(sysAccountLogQueryParam);
        IPage<SysAccountLogQueryVo> iPage = sysAccountLogMapper.getSysAccountLogPageList(page, sysAccountLogQueryParam);
        return new PageTool(iPage);
    }

}
