package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysOperateLogQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.SysOperateLogQueryVo;
import com.xdf.creative.module.entity.SysOperateLog;
import com.xdf.creative.module.mapper.SysOperateLogMapper;
import com.xdf.creative.module.service.SysOperateLogService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 账户操作日志 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class SysOperateLogServiceImpl extends BaseServiceImpl<SysOperateLogMapper, SysOperateLog> implements SysOperateLogService {

    @Autowired
    private SysOperateLogMapper sysOperateLogMapper;

    @Override
    public SysOperateLogQueryVo getSysOperateLogById(Serializable id) throws Exception {
        return sysOperateLogMapper.getSysOperateLogById(id);
    }

    @Override
    public PageTool<SysOperateLogQueryVo> getSysOperateLogPageList(SysOperateLogQueryParam sysOperateLogQueryParam) throws Exception {
        Page page = setPageParam(sysOperateLogQueryParam);
        IPage<SysOperateLogQueryVo> iPage = sysOperateLogMapper.getSysOperateLogPageList(page, sysOperateLogQueryParam);
        return new PageTool(iPage);
    }

}
