package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysOperationLogQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.SysOperationLogQueryVo;
import com.xdf.creative.module.entity.SysOperationLog;
import com.xdf.creative.module.mapper.SysOperationLogMapper;
import com.xdf.creative.module.service.SysOperationLogService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 操作日志 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-02
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class SysOperationLogServiceImpl extends BaseServiceImpl<SysOperationLogMapper, SysOperationLog> implements SysOperationLogService {

    @Autowired
    private SysOperationLogMapper sysOperationLogMapper;

    @Override
    public SysOperationLogQueryVo getSysOperationLogById(Serializable id) throws Exception {
        return sysOperationLogMapper.getSysOperationLogById(id);
    }

    @Override
    public PageTool<SysOperationLogQueryVo> getSysOperationLogPageList(SysOperationLogQueryParam sysOperationLogQueryParam) throws Exception {
        Page page = setPageParam(sysOperationLogQueryParam);
        IPage<SysOperationLogQueryVo> iPage = sysOperationLogMapper.getSysOperationLogPageList(page, sysOperationLogQueryParam);
        return new PageTool(iPage);
    }

}
