package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysUserRoleQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.SysUserRoleQueryVo;
import com.xdf.creative.module.entity.SysUserRole;
import com.xdf.creative.module.mapper.SysUserRoleMapper;
import com.xdf.creative.module.service.SysUserRoleService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 系统用户角色表 服务实现类
 * </p>
 *
 * @author DeanYe
 * @since 2019-10-30
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class SysUserRoleServiceImpl extends BaseServiceImpl<SysUserRoleMapper, SysUserRole> implements SysUserRoleService {

    @Autowired
    private SysUserRoleMapper sysUserRoleMapper;

    @Override
    public SysUserRoleQueryVo getSysUserRoleById(Serializable id) throws Exception {
        return sysUserRoleMapper.getSysUserRoleById(id);
    }

    @Override
    public PageTool<SysUserRoleQueryVo> getSysUserRolePageList(SysUserRoleQueryParam sysUserRoleQueryParam) throws Exception {
        Page page = setPageParam(sysUserRoleQueryParam);
        IPage<SysUserRoleQueryVo> iPage = sysUserRoleMapper.getSysUserRolePageList(page, sysUserRoleQueryParam);
        return new PageTool(iPage);
    }

}
