
package com.xdf.creative.support.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 登录参数
 *
 * @author DeanYe
 * @date 2019-05-15
 **/
@Data
@ApiModel("登录参数")
public class LoginParam {

    @NotBlank(message = "请输入账号")
    @ApiModelProperty("账号")
    private String username;

    @NotBlank(message = "请输入密码")
    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("验证码Token")
    private String verifyCodeActual;

    @ApiModelProperty("验证码")
    private String code;

    private Long userId;

    private Integer type;



}
