
package com.xdf.creative.support.auth;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 登录用户对象，响应给前端
 * </p>
 *
 * @author DeanYe
 * @date 2019-05-15
 **/
@Data
@Accessors(chain = true)
public class LoginSysUserVo implements Serializable {

    private static final long serialVersionUID = -1758338570596088158L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "头像")
    private String head;

    @ApiModelProperty(value = "性别，0：女，1：男，默认1")
    private Integer gender;

    @ApiModelProperty(value = "状态，0：禁用，1：启用，2：锁定")
    private Integer state;

    @ApiModelProperty("组织id")
    private Long organizeId;

    @ApiModelProperty("角色id")
    private Set<Long> roleId;

/*    @ApiModelProperty("角色名称")
    private Set<String> roleName;*/

    @ApiModelProperty("角色编码")
    private Set<String> roleCode;
/*
    @ApiModelProperty("权限编码列表")
    private Set<String> permissionUrls;*/


    private List<String> resourceList;

    private boolean dateAuth;

}
