
package com.xdf.creative.util.page;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * @author DeanYe
 * @date 2018-11-08
 */
public class PageTool<T> implements Serializable {
    private static final long serialVersionUID = -1683800405530086022L;

    @JSONField(name = "total")
    @JsonProperty("total")
    private long total = 0;

    @JSONField(name = "records")
    @JsonProperty("records")
    private List<T> records = Collections.emptyList();

    public PageTool() {
    }

    public PageTool(IPage<T> iPage) {
        this.total = iPage.getTotal();
        this.records = iPage.getRecords();
    }

    public PageTool(List<T> list, long total) {
        this.total = total;
        this.records = list;
    }


    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<T> getRecords() {
        return records;
    }

    public void setRecords(List<T> records) {
        this.records = records;
    }

    @Override
    public String toString() {
        return "Paging{" +
                "total=" + total +
                ", records=" + records +
                '}';
    }
}
